﻿using System.Windows;

using DevExpress.Xpf.Bars;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Copy 바 버튼 항목 항목 클릭시 처리하기 - copyBarButtonItem_ItemClick(sender, e)

        /// <summary>
        /// Copy 바 버튼 항목 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void copyBarButtonItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            this.textBox.Copy();
        }

        #endregion
        #region Paste 바 버튼 항목 항목 클릭시 처리하기 - copyBarButtonItem_ItemClick(sender, e)

        /// <summary>
        /// Paste 바 버튼 항목 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void pasteBarButtonItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            this.textBox.Paste();
        }

        #endregion
        #region Undo 바 버튼 항목 항목 클릭시 처리하기 - copyBarButtonItem_ItemClick(sender, e)

        /// <summary>
        /// Undo 바 버튼 항목 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void undoBarButtonItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            this.textBox.Undo();
        }

        #endregion
        #region Redo 바 버튼 항목 항목 클릭시 처리하기 - copyBarButtonItem_ItemClick(sender, e)

        /// <summary>
        /// Redo 바 버튼 항목 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void redoBarButtonItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            this.textBox.Redo();
        }

        #endregion
    }
}